Package org.h2gis.functions.spatial.convert

## Class ST_Multi

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_Multi

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Multi
    extends org.h2gis.api.DeterministicScalarFunction

Construct a geometry collection from a geometry

Author:
  Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Multi()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `toCollection​(org.locationtech.jts.geom.Geometry geometry)` Construct a geometry collection from a geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Multi

    public ST_Multi()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toCollection

    public static org.locationtech.jts.geom.Geometry toCollection​(org.locationtech.jts.geom.Geometry geometry)

Construct a geometry collection from a geometry

Parameters:
  `geometry` -
Returns: